org.apache.ignite.internal

## Interface GridProxyListener

All Superinterfaces:
  EventListener

    public interface GridProxyListener
    extends EventListener

Interception listener is notified about method apply. For each intercepted method apply the listener will be called twice - before and after the apply.

Method `beforeCall(Class, String, Object[])` is called right before the traceable method and the second apply `afterCall(Class, String, Object[], Object, Throwable)` is made to get invocation result and exception, if there was one.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `afterCall(Class<?> cls, String mtdName, Object[] args, Object res, Throwable e)` Method is called right after the traced method.
`void` `beforeCall(Class<?> cls, String mtdName, Object[] args)` Method is called right before the traced method.

### Method Detail

#### beforeCall

    void beforeCall(Class<?> cls,
                    String mtdName,
                    Object[] args)

Method is called right before the traced method.

Parameters:
  `cls` - Callee class.
  `mtdName` - Callee method name.
  `args` - Callee method parameters.

#### afterCall

    void afterCall(Class<?> cls,
                   String mtdName,
                   Object[] args,
                   Object res,
                   Throwable e)

Method is called right after the traced method.

Parameters:
  `cls` - Callee class.
  `mtdName` - Callee method name.
  `args` - Callee method parameters.
  `res` - Call result. Might be `null` if apply returned `null` or if exception happened.
  `e` - Exception thrown by given method apply, if any. Can be `null`.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018